Home | All Classes | Grouped Classes | Index | Search

# CL_TriangleMath::point_inside_triangle

Return true if the point is inside the triangle.

    	bool point_inside_triangle(
    		const CL_Pointf& P, float* vertices, bool on_edge_is_outside);

    	bool point_inside_triangle(
    		float px, float py, float* vertices, bool on_edge_is_outside);

Parameters:

CL_Pointf P
  point to test
float *vertices
  Pointer to triangle vertices {x1,y1,x2,y2,x3,y3}.
bool on_edge_is_outside
  are points exactly on a edge in or out.

See also:

CL_Point | CL_Pointf | CL_TriangleMath

Questions or comments, write to the ClanLib mailing list.